Legato 16.01 - legato-spm 1.0 - Developer Studio 4.0


#1

Hi all,

Please note that Legato 16.01 pre-built packages for WP8548 are now available.

These packages are both usable for Linux command line Legato apps development (thanks to legato-spm tool), and for new Developer Studio 4.0 IDE (Linux and Windows).

Fresh install

If you need (or prefer) to do a fresh tooling install, please refer to these Getting Started pages:

Developer Studio Upgrade

If you’re already running Developer Studio 3.X version, you may want to upgrade to Developer Studio 4.0
Developer Studio 4.0 is compatible with Legato versions from 15.10 to 16.01, and is mandatory to use Legato 16.01 packages.

Note:
Developer Studio 4.0 is not supporting Open AT anymore.
If your Developer Studio 3.X install was including the Open AT IDE, you must uninstall it before upgrading to Developer Studio 4.0

Linux hosts:
It is not possible to upgrade a Developer Studio 3.X installed thanks to apt-get mechanism.
Instead, you’ll need to:

  • Optionally remove your Developer Studio 3.X install (sudo apt-get purge devstudio*, and remove /etc/apt/sources.list.d/devstudio.list file)
  • Do a new fresh install as explained above
  • Note that you can anyway reuse your current workspace and installed packages

Windows hosts:
Please follow these steps:

Enjoy using these new Legato and Developer Studio versions!